> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pending Pricing

> Get pending pricing.



## OpenAPI

````yaml get /pricing/pending
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /pricing/pending:
    get:
      tags:
        - Pricing
      summary: Get Pending Pricing
      description: Get pending pricing.
      operationId: get-pricing-pending
      parameters:
        - description: ''
          in: query
          name: username
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    amount: 0.01
                    username: priceuser
                  message: success
                properties:
                  data:
                    properties:
                      amount:
                        type: number
                      username:
                        type: string
                    type: object
                  message:
                    type: string
                type: object
          description: get pricing pending ok
        '401':
          content:
            application/json:
              schema:
                example:
                  message: unauthorised self trigger
                properties:
                  message:
                    type: string
                type: object
          description: get pricing pending unauthorized
        '500':
          content:
            application/json:
              schema:
                example:
                  message: cannot get user's account count
                properties:
                  message:
                    type: string
                type: object
          description: get pricing pending internal server error
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````